local VillageDeco = ...

-- register Firewood 1
VillageDeco:registerAssetId("models/logs.fbx/Prefab/Firewood1", "PREFAB_FIREWOOD1")
-- register Firewood 2
VillageDeco:registerAssetId("models/logs.fbx/Prefab/Firewood2", "PREFAB_FIREWOOD2")
-- register Logs 1
VillageDeco:registerAssetId("models/logs.fbx/Prefab/Logs1", "PREFAB_LOGS1")
-- register Logs 2
VillageDeco:registerAssetId("models/logs.fbx/Prefab/Logs2", "PREFAB_LOGS2")
-- register Logs 3
VillageDeco:registerAssetId("models/logs.fbx/Prefab/Logs3", "PREFAB_LOGS3")
-- register Logs 4
VillageDeco:registerAssetId("models/logs.fbx/Prefab/Logs4", "PREFAB_LOGS4")
-- register Stump
VillageDeco:registerAssetId("models/stump.fbx/Prefab/Stump", "PREFAB_STUMP")
-- register Campfire
VillageDeco:registerAssetId("models/campfire.fbx/Prefab/Campfire", "PREFAB_CAMPFIRE")
-- register Dragon
VillageDeco:registerAssetId("models/dragon.fbx/Prefab/Dragon", "PREFAB_DRAGON")
-- register Chest
VillageDeco:registerAssetId("models/chest.fbx/Prefab/Chest", "PREFAB_CHEST")
-- register Crate 1
VillageDeco:registerAssetId("models/crates.fbx/Prefab/Crate1", "PREFAB_CRATE1")
-- register Crate 2
VillageDeco:registerAssetId("models/crates.fbx/Prefab/Crate2", "PREFAB_CRATE2")
-- register Crate 3
VillageDeco:registerAssetId("models/crates.fbx/Prefab/Crate3", "PREFAB_CRATE3")
-- register Crate 4
VillageDeco:registerAssetId("models/crates.fbx/Prefab/Crate4", "PREFAB_CRATE4")
-- register Crate 5
VillageDeco:registerAssetId("models/crates.fbx/Prefab/Crate5", "PREFAB_CRATE5")
-- register Handcrate
VillageDeco:registerAssetId("models/crates.fbx/Prefab/Handcrate", "PREFAB_HANDCRATE")
-- register Lamp
VillageDeco:registerAssetId("models/lamp.fbx/Prefab/Lamp", "PREFAB_LAMP")
-- register Skulls 1
VillageDeco:registerAssetId("models/skulls.fbx/Prefab/Skulls1", "PREFAB_SKULLS1")
-- register Skulls 2
VillageDeco:registerAssetId("models/skulls.fbx/Prefab/Skulls2", "PREFAB_SKULLS2")
-- register Flower Red
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Red", "PREFAB_FLOWER_RED")
-- register Flowers Blue
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Blue", "PREFAB_FLOWER_BLUE")
-- register Flowers Yellow
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Yellow", "PREFAB_FLOWER_YELLOW")
-- register Flower Orange
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Orange", "PREFAB_FLOWER_ORANGE")
-- register Flower Purple
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Purple", "PREFAB_FLOWER_PURPLE")
-- register Flower White
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/White", "PREFAB_FLOWER_WHITE")
-- register Flower Pink
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Pink", "PREFAB_FLOWER_PINK")
-- register Flower Pink 2
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Pink2", "PREFAB_FLOWER_PINK2")
-- register Flower Teal
VillageDeco:registerAssetId("models/flowers.fbx/Prefab/Teal", "PREFAB_FLOWER_TEAL")

-- register Logs
VillageDeco:register({
	DataType = "BUILDING",
	Id = "LOGS",
	Name = "LOGS_NAME",
	Description = "LOGS_DESC",
	BuildingType = "DECORATION",
	BuildingPartSetList = {
		{
			Name = "LOGS_NAME",
			BuildingPartList = { "LOGS_PART" }
		}
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "LOGS_PART",
	BuildingZone = { 1, 1 },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_RANDOM",
		RandomCoreObjectPrefabList = 
		{"PREFAB_FIREWOOD1","PREFAB_FIREWOOD2","PREFAB_LOGS1","PREFAB_LOGS2",
		"PREFAB_LOGS3","PREFAB_LOGS4","PREFAB_STUMP"}
	},
	Cost = {
		BuildRightTaxes = {
			{ Resource = "WOOD", Quantity = 1 }
		}
	}
})

-- register Dragon
VillageDeco:register({
	DataType = "BUILDING",
	Id = "DRAGON",
	Name = "DRAGON_NAME",
	Description = "DRAGON_DESC",
	BuildingType = "DECORATION",
	BuildingPartSetList = {
		{	
			Name = "DRAGON_NAME",
			BuildingPartList = { "DRAGON_PART" }
		}
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "DRAGON_PART",
	BuildingZone = { 2, 2 },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DRAGON"
	},
	Cost = {
		BuildRightTaxes = {
			{ Resource = "GOLD", Quantity = 10 }
		}
	}
})

-- register Skulls
VillageDeco:register({
	DataType = "BUILDING",
	Id = "SKULLS",
	Name = "SKULLS_NAME",
	Description = "SKULLS_DESC",
	BuildingType = "DECORATION",
	BuildingPartSetList = {
		{
			Name = "SKULLS_NAME",
			BuildingPartList = { "SKULLS_PART" }
		}
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "SKULLS_PART",
	BuildingZone = { 1, 1 },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_RANDOM",
		RandomCoreObjectPrefabList = 
		{"PREFAB_SKULLS1","PREFAB_SKULLS2"}
	}
})

-- register Crates
VillageDeco:register({
	DataType = "BUILDING",
	Id = "CRATES",
	Name = "CRATES_NAME",
	Description = "CRATES_DESC",
	BuildingType = "DECORATION",
	BuildingPartSetList = {
		{
			Name = "CRATES_NAME",
			BuildingPartList = { "CRATES_PART" }
		}
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "CRATES_PART",
	BuildingZone = { 1, 1 },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_RANDOM",
		RandomCoreObjectPrefabList = 
		{"PREFAB_CRATE1","PREFAB_CRATE2","PREFAB_CRATE3",
		"PREFAB_CRATE4","PREFAB_CRATE5","PREFAB_HANDCRATE"}
	},
	Cost = {
		BuildRightTaxes = {
			{ Resource = "WOOD", Quantity = 1 }
		}
	}
})

-- register Chest
VillageDeco:register({
	DataType = "BUILDING",
	Id = "CHEST",
	Name = "CHEST_NAME",
	Description = "CHEST_DESC",
	BuildingType = "DECORATION",
	BuildingPartSetList = {
		{
			Name = "CHEST_NAME",
			BuildingPartList = { "CHEST_PART" }
		}
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "CHEST_PART",
	BuildingZone = { 1, 1 },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CHEST"
	},
	Cost = {
		BuildRightTaxes = {
			{ Resource = "WOOD", Quantity = 1 }
		}
	}
})

-- register Campfire
VillageDeco:register({
	DataType = "BUILDING",
	Id = "CAMPFIRE",
	Name = "CAMPFIRE_NAME",
	Description = "CAMPFIRE_DESC",
	BuildingType = "DECORATION",
	BuildingPartSetList = {
		{
			Name = "CAMPFIRE_NAME",
			BuildingPartList = { "CAMPFIRE_PART" }
		}
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "CAMPFIRE_PART",
	BuildingZone = { 1, 1 },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CAMPFIRE"},
	Cost = {
		BuildRightTaxes = {
			{ Resource = "WOOD", Quantity = 1 }
		}
	}
})

-- register Lamp
VillageDeco:register({
	DataType = "BUILDING",
	Id = "LAMP",
	Name = "LAMP_NAME",
	Description = "LAMP_DESC",
	BuildingType = "DECORATION",
	BuildingPartSetList = {
		{
			Name = "LAMP_NAME",
			BuildingPartList = { "LAMP_PART" }
		}
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "LAMP_PART",
	BuildingZone = { 1, 1 },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_LAMP"
	},
	Cost = {
		BuildRightTaxes = {
			{ Resource = "WOOD", Quantity = 1 }
		}
	}
})

-- register Flowers
VillageDeco:register({
	DataType = "BUILDING",
	Id = "FLOWERS",
	Name = "FLOWERS_NAME",
	Description = "FLOWERS_DESC",
	BuildingType = "DECORATION",
	BuildingPartSetList = {
		{
			Name = "FLOWERS_NAME",
			BuildingPartList = { "FLOWERS_PART" }
		}
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "FLOWERS_PART",
	BuildingZone = { 1, 1 },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_RANDOM",
		RandomCoreObjectPrefabList = 
		{"PREFAB_FLOWER_RED","PREFAB_FLOWER_BLUE","PREFAB_FLOWER_YELLOW",
		"PREFAB_FLOWER_ORANGE","PREFAB_FLOWER_PURPLE","PREFAB_FLOWER_WHITE",
		"PREFAB_FLOWER_PINK","PREFAB_FLOWER_PINK2","PREFAB_FLOWER_TEAL"}
	}
})

-- register Grass Clearing Area

VillageDeco:registerPrefabComponent("models/stump.fbx/Prefab/Stump", {
	DataType = "COMP_DIRT_CIRCLE",
	Size = { 1, 1 }
})
VillageDeco:registerPrefabComponent("models/campfire.fbx/Prefab/Campfire", {
	DataType = "COMP_DIRT_CIRCLE",
	Size = { 3, 3 }
})
VillageDeco:registerPrefabComponent("models/crates.fbx/Prefab/Crate1", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = { 2, 2 }
})
VillageDeco:registerPrefabComponent("models/crates.fbx/Prefab/Crate2", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = { 2, 2 }
})
VillageDeco:registerPrefabComponent("models/crates.fbx/Prefab/Crate3", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = { 2, 2 }
})
VillageDeco:registerPrefabComponent("models/crates.fbx/Prefab/Crate4", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = { 2, 2 }
})
VillageDeco:registerPrefabComponent("models/crates.fbx/Prefab/Crate5", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = { 2, 2 }
})
VillageDeco:registerPrefabComponent("models/crates.fbx/Prefab/Handcrate", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = { 2, 2 }
})
VillageDeco:registerPrefabComponent("models/chest.fbx/Prefab/Chest", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = { 2, 2 }
})
VillageDeco:registerPrefabComponent("models/dragon.fbx/Prefab/Dragon", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = { 8, 4 }
})